This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 233829 - [PATCH] Make usermode building without gtk2 and libglade2
[PATCH] Make usermode building without gtk2 and libglade2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-25 06:59 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 06:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
usermode-1.91-fix_no_gtk2.patch (332 bytes, patch)
2007-03-25 07:02 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2007-03-25 06:59:56 EDT
Description of problem:
I would like to see usermode building easily without having gtk2 and libglade2 
installed. As Red Hat seems to be upstream for usermode, I'm attaching my patch 
to this bug report here. And please don't remove the already existing defines 
in the C code which make X support conditional.

Version-Release number of selected component (if applicable):
usermode-1.91-1

Expected results:
Usermode building without gtk2 and libglade2.

Additional info:
My patch isn't complete regarding, configure.in and Makefile.am, which should 
be patched, too for getting stuff really conditional. But the attached patch 
solves my needs and should not make anybody worry.
Comment 1 Robert Scheck 2007-03-25 07:02:53 EDT
Created attachment 150847 [details]
usermode-1.91-fix_no_gtk2.patch
Comment 2 Miloslav Trmač 2007-03-26 06:08:11 EDT
Thanks, applied in CVS.

Note You need to log in before you can comment on or make changes to this bug.